/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：组件参数
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "组件参数")
public class CpComponentParamterDetailDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 组件id<br>
     */
    @ApiModelProperty("组件id")
    @Size(max = 32, message="组件id-comId: 数据长度不能 > 32" )
    private String comId;
    /**
     * 所属组件库id<br>
     */
    @ApiModelProperty("所属组件库id")
    @Size(max = 32, message="所属组件库id-libId: 数据长度不能 > 32" )
    private String libId;
    /**
     * 参数名<br>
     */
    @ApiModelProperty("参数名")
    @Size(max = 100, message="参数名-paramName: 数据长度不能 > 100" )
    private String paramName;
    /**
     * 参数说明<br>
     */
    @ApiModelProperty("参数说明")
    @Size(max = 200, message="参数说明-paramIntro: 数据长度不能 > 200" )
    private String paramIntro;
    /**
     * 参数类型<br>
     */
    @ApiModelProperty("参数类型")
    @Size(max = 20, message="参数类型-paramType: 数据长度不能 > 20" )
    private String paramType;
    /**
     * 参数标志0-输入,1-输出<br>
     */
    @ApiModelProperty("参数标志0-输入,1-输出")
    private Integer paramFlag;
    /**
     * 参数顺序<br>
     */
    @ApiModelProperty("参数顺序")
    private Integer paramOrder;
    /**
     * 是否必填0-必输,1-非必输<br>
     */
    @ApiModelProperty("是否必填0-必输,1-非必输")
    private Integer required;
    /**
     * 默认值<br>
     */
    @ApiModelProperty("默认值")
    @Size(max = 100, message="默认值-defaultValue: 数据长度不能 > 100" )
    private String defaultValue;

    /**
     * <br>
     */
    @ApiModelProperty("枚举json")
    @Size(max = 500, message="-enumValues: 数据长度不能 > 500" )
    private String enumValues;

    /**
     * 参数范围<br>
     */
    @ApiModelProperty("参数范围")
    @Size(max = 20, message="参数范围-paramScope: 数据长度不能 > 20" )
    private String paramScope;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    private String inputType;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComId() {
        return comId;
    }

    public void setComId(String comId) {
        this.comId = comId;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamIntro() {
        return paramIntro;
    }

    public void setParamIntro(String paramIntro) {
        this.paramIntro = paramIntro;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public Integer getParamFlag() {
        return paramFlag;
    }

    public void setParamFlag(Integer paramFlag) {
        this.paramFlag = paramFlag;
    }

    public Integer getParamOrder() {
        return paramOrder;
    }

    public void setParamOrder(Integer paramOrder) {
        this.paramOrder = paramOrder;
    }

    public Integer getRequired() {
        return required;
    }

    public void setRequired(Integer required) {
        this.required = required;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getParamScope() {
        return paramScope;
    }

    public void setParamScope(String paramScope) {
        this.paramScope = paramScope;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getEnumValues() {
        return enumValues;
    }

    public void setEnumValues(String enumValues) {
        this.enumValues = enumValues;
    }

    public String getInputType() {
        return inputType;
    }

    public void setInputType(String inputType) {
        this.inputType = inputType;
    }
}